GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::RLECodec Class Reference

Class to do RLE. More...

`#include <gdcmRLECodec.h>`

Inheritance diagram for gdcm::RLECodec:
[legend]
Collaboration diagram for gdcm::RLECodec:
[legend]

## Public Member Functions

| RLECodec ()
| ~RLECodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
unsigned long | GetBufferLength () const
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
void | SetBufferLength (unsigned long l)
void | SetLength (unsigned long l)
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec ()
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const unsigned int d[3])
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)

## Protected Member Functions

bool | DecodeByStreams (std::istream &is, std::ostream &os)
bool | DecodeExtent (char *buffer, unsigned int XMin, unsigned int XMax, unsigned int YMin, unsigned int YMax, unsigned int ZMin, unsigned int ZMax, std::istream &is)
Protected Member Functions inherited from gdcm::ImageCodec
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
virtual bool | IsValid (PhotometricInterpretation const &pi)

## Friends

class | ImageRegionReader

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

Class to do RLE.

Note
  ANSI X3.9 A.4.2 RLE Compression Annex G defines a RLE Compression Transfer Syntax. This transfer Syntax is identified by the UID value "1.2.840.10008.1.2.5". If the object allows multi-frame images in the pixel data field, then each frame shall be encoded separately. Each frame shall be encoded in one and only one Fragment (see PS 3.5.8.2).

## Constructor & Destructor Documentation

gdcm::RLECodec::RLECodec | ( |  | ) |

gdcm::RLECodec::~RLECodec | ( |  | ) |

## Member Function Documentation

bool gdcm::RLECodec::CanCode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::CanDecode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  |

virtual

Code.

Reimplemented from gdcm::Coder.

bool gdcm::RLECodec::Decode | ( | DataElement const & | ,
|  | DataElement & |
| ) |  |

virtual

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::DecodeByStreams | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |

protectedvirtual

Reimplemented from gdcm::ImageCodec.

bool gdcm::RLECodec::DecodeExtent | ( | char * | buffer,
|  | unsigned int | XMin,
|  | unsigned int | XMax,
|  | unsigned int | YMin,
|  | unsigned int | YMax,
|  | unsigned int | ZMin,
|  | unsigned int | ZMax,
|  | std::istream & | is
| ) |  |

protected

unsigned long gdcm::RLECodec::GetBufferLength | ( |  | ) | const

inline

bool gdcm::RLECodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  |

virtual

Reimplemented from gdcm::ImageCodec.

void gdcm::RLECodec::SetBufferLength | ( | unsigned long | l | ) |

inline

void gdcm::RLECodec::SetLength | ( | unsigned long | l | ) |

inline

## Friends And Related Function Documentation

friend class ImageRegionReader

friend

The documentation for this class was generated from the following file:

- gdcmRLECodec.h